<?php
namespace App\Http\Requests\Locations;

use App\Components\CrmHelper;
use Illuminate\Foundation\Http\FormRequest;

class CreateLocationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'company_id' => ['required'],
            'title' => ['required'],
            'address' => ['required'],
            'description' => ['nullable'],
            'email' => ['nullable'],
            'phones' => ['nullable', 'array'],
            'image' => ['image', 'mimes:jpeg,png,jpg,gif', 'max:2048'],
        ];
    }

    protected function getValidatorInstance()
    {
        $this->setCompanyId();
        return parent::getValidatorInstance(); // TODO: Change the autogenerated stub
    }

    private function setCompanyId()
    {
        $this->merge([
            'company_id' => CrmHelper::companyId()
        ]);
    }

}
